## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global __provides_exclude_from ^%{_libdir}/security/.*\.so$

%global goipath         github.com/linuxdeepin/deepin-pw-check
Version:                6.0.2
%global tag             %{version}

%gometa -L

Name:           deepin-pw-check
Release:        %autorelease
Summary:        A tool to verify the validity of the password.
License:        GPL-3.0-or-later
URL:            %{gourl}
Source0:        %{gosource}
# fix: Missing include stdlib.h
Patch0:         https://github.com/linuxdeepin/deepin-pw-check/pull/37.patch
Patch1:         0001-Adapt-to-Fedora-cracklib-API.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  deepin-gettext-tools
BuildRequires:  cracklib-devel
BuildRequires:  iniparser-devel
BuildRequires:  libxcrypt-devel

%description
In order to unify the authentication interface, this interface is designed to
adapt to fingerprint, face and other authentication methods.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cracklib-devel%{?_isa}
Requires:       iniparser-devel%{?_isa}

%description    devel
This package contains development files for %{name}.

%prep
%goprep -A
%autopatch -p1

sed -i 's|\${PREFIX}/lib$|\${PREFIX}/%{_lib}|; s|cp |cp -a |' Makefile
sed -i 's|/usr/lib|%{_libdir}|' misc/pkgconfig/libdeepin_pw_check.pc

# expand build_ldflags at %%build section, RHBZ#2044028
sed -i 's|gcc |gcc %{build_cflags} %{build_ldflags} |' Makefile

%generate_buildrequires
%go_generate_buildrequires

%build
# manually build the deepin-pw-check command since it is hard to override
# Makefile with %%gobuild
make prepare
touch prepare
export GOPATH=%{gopath}
%gobuild -o out/bin/%{name} service/*.go

%make_build

%install
export GOPATH=%{gopath}
export PKG_FILE_DIR=%{_libdir}/pkgconfig
%make_install PKG_FILE_DIR=%{_libdir}/pkgconfig PAM_MODULE_DIR=%{_libdir}/security
# don't install static library
rm -v %{buildroot}%{_libdir}/*.a

%find_lang deepin-pw-check

%files -f deepin-pw-check.lang
%doc README.md
%license LICENSE
%{_bindir}/pwd-conf-update
%dir %{_prefix}/lib/deepin-pw-check
%{_prefix}/lib/deepin-pw-check/deepin-pw-check
%{_libdir}/libdeepin_pw_check.so.1*
%{_libdir}/security/pam_deepin_pw_check.so
%{_datadir}/dbus-1/system-services/org.deepin.dde.PasswdConf1.service
%{_datadir}/dbus-1/system.d/org.deepin.dde.PasswdConf1.conf
%{_datadir}/polkit-1/actions/org.deepin.dde.passwdconf.policy

%files devel
%{_libdir}/libdeepin_pw_check.so
%{_libdir}/pkgconfig/libdeepin_pw_check.pc
%{_includedir}/deepin_pw_check.h

%changelog
## START: Generated by rpmautospec
* Sat Feb 01 2025 Björn Esser <besser82@fedoraproject.org> - 6.0.2-5
- Add explicit BR: libxcrypt-devel

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Aug 13 2024 Felix Wang <topazus@outlook.com> - 6.0.2-3
- fix deepin-pw-check install location

* Tue Aug 13 2024 Felix Wang <topazus@outlook.com> - 6.0.2-2
- Fix build with correct sed regular expression

* Tue Aug 13 2024 Felix Wang <topazus@outlook.com> - 6.0.2-1
- 6.0.2

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.18-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 18 2024 David Cantrell <dcantrell@burdell.org> - 5.1.18-6
- Rebuild for iniparser-4.2.4

* Thu May 30 2024 Adam Williamson <awilliam@redhat.com> - 5.1.18-5
- rebuild for new iniparser, add missing stdlib include to fix build

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 5.1.18-4
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.1.18-1
- New release 5.1.18

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 5.1.8-2
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jul 16 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.1.8-1
- New release 5.1.8

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 5.1.6-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 5.1.6-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.1.6-1
- New release 5.1.6 (RHBZ#2045308)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.1.2-1
- New release 5.1.2

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.0.22-1
- Initial import
## END: Generated by rpmautospec
